<?php
/* This file is part of a copyrighted work; it is distributed with NO WARRANTY.
 * See the file COPYRIGHT.html for more details.
 */

require_once("../functions/errorFuncs.php");
require_once("../classes/Dm.php");
require_once("../classes/DmQuery.php");

/*********************************************************************************
 * Draws input html tag of type text.
 * @param string $fieldName name of input field
 * @param string $size size of text box
 * @param string $max max input length of text box
 * @param array_reference &$postVars reference to array containing all input values
 * @param array_reference &$pageErrors reference to array containing all input errors
 * @return void
 * @access public
 *********************************************************************************
 */
function printInputText($fieldName,$size,$max,&$postVars,&$pageErrors,$visibility = "visible"){
  if (!isset($postVars)) {
    $value = "";
  } elseif (!isset($postVars[$fieldName])) {
      $value = "";
  } else {
      $value = $postVars[$fieldName];
  }
  if (!isset($pageErrors)) {
    $error = "";
  } elseif (!isset($pageErrors[$fieldName])) {
      $error = "";
  } else {
      $error = $pageErrors[$fieldName];
  }

  echo "<input type=\"text\" id=\"".$fieldName."\" name=\"".$fieldName."\" size=\"".$size."\" maxlength=\"".$max."\"";
  if ($visibility != "visible") {
    echo " style=\"visibility:".$visibility."\"";
  }
  echo " value=\"".$value."\" >";
  if ($error != "") {
    echo "<br><font class=\"error\">";
    echo $error."</font>";
  }
}

/*********************************************************************************
 * Draws input html tag of type text.
 * @param string $fieldName name of input field
 * @param string $domainTable name of domain table to get values from
 * @param array_reference &$postVars reference to array containing all input values
 *********************************************************************************
 */
function printSelect($fieldName,$domainTable,&$postVars,$disabled=FALSE){
  $value = "";
  if (isset($postVars[$fieldName])) {
      $value = $postVars[$fieldName];
  }

  $dmQ = new DmQuery();
  $dmQ->connect();
  if ($dmQ->errorOccurred()) {
    $dmQ->close();
    displayErrorPage($dmQ);
  }
  $dmQ->execSelect($domainTable);
  if ($dmQ->errorOccurred()) {
    $dmQ->close();
    displayErrorPage($dmQ);
  }
  echo "<select id=\"".$fieldName."\" name=\"".$fieldName."\"";
  if ($disabled) {
    echo " disabled";
  }
  echo ">\n";
  while ($dm = $dmQ->fetchRow()) {
    echo "<option value=\"".$dm->getCode()."\"";
    if (($value == "") && ($dm->getDefaultFlg() == 'Y')) {
      echo " selected";
    } elseif ($value == $dm->getCode()) {
      echo " selected";
    }
    echo ">".$dm->getDescription()."\n";
  }
  echo "</select>\n";
  $dmQ->close();
}
?>
