<?php
/* This file is part of a copyrighted work; it is distributed with NO WARRANTY.
 * See the file COPYRIGHT.html for more details.
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Translation text used on multiple pages
#****************************************************************************
$trans["reportsCancel"]            = "\$text = 'Abbrechen';";

#****************************************************************************
#*  Translation text for page index.php
#****************************************************************************
$trans["indexHdr"]                 = "\$text = 'Berichte';";
$trans["indexDesc"]                = "\$text = 'Benutzen Sie Berichte, Etiketten oder Briefe im linken Navigationsbereich um Berichte zu erzeugen oder Etiketten oder Briefe zu drucken.';";

#****************************************************************************
#*  Translation text for page report_list.php
#****************************************************************************
$trans["reportListHdr"]            = "\$text = 'Berichte';";
$trans["reportListDesc"]           = "\$text = 'Benutzen Sie bitte einen der folgenden Links um Berichte zu erzeugen.';";
$trans["reportListXmlErr"]         = "\$text = 'Ein Fehler ist aufgetreten beim Lesen der Reportsdefinitionsdatei.';";
$trans["reportListCannotRead"]     = "\$text = 'Kann die Labeldatei %fileName% nicht lesen';";
$trans["reportListFileName"]       = "\$text = 'Dateiname: ';";

#****************************************************************************
#*  Translation text for page label_list.php
#****************************************************************************
$trans["labelListHdr"]             = "\$text = 'Etiketten';";
$trans["labelListDesc"]            = "\$text = 'Benutzen Sie bitte einen der folgenden Links um Etiketten im PDF-Format zu erzeugen.';";
$trans["displayLabelsXmlErr"]      = "\$text = 'Ein Fehler ist aufgetreten beim Lesen der Reportsdefinitionsdatei. Fehler = ';";
$trans["reportCriteriaHead3"]      = "\$text = 'Report AusgabeTyp';";

#****************************************************************************
#*  Translation text for page letter_list.php
#****************************************************************************
$trans["letterListHdr"]            = "\$text = 'Briefe';";
$trans["letterListDesc"]           = "\$text = 'Benutzen Sie bitte einen der folgenden Links um Briefe im PDF-Format zu erzeugen.';";
$trans["displayLettersXmlErr"]      = "\$text = 'Ein Fehler ist aufgetreten beim Lesen der Reportsdefinitionsdatei. Fehler = ';";

#****************************************************************************
#*  Translation text for page report_criteria.php
#****************************************************************************
$trans["reportCriteriaHead1"]      = "\$text = 'Suchkriterien (optional)';";
$trans["reportCriteriaHead2"]      = "\$text = 'Sortierreihenfolge (optional)';";
$trans["reportCriteriaCrit1"]      = "\$text = 'Kriterium 1:';";
$trans["reportCriteriaCrit2"]      = "\$text = 'Kriterium 2:';";
$trans["reportCriteriaCrit3"]      = "\$text = 'Kriterium 3:';";
$trans["reportCriteriaCrit4"]      = "\$text = 'Kriterium 4:';";
$trans["reportCriteriaEQ"]         = "\$text = '=';";
$trans["reportCriteriaNE"]         = "\$text = 'nicht =';";
$trans["reportCriteriaOutput"]     = "\$text = 'Ausgabe Typ:';";
$trans["reportCriteriaOutputHTML"] = "\$text = 'HTML';";
$trans["reportCriteriaOutputCSV"]  = "\$text = 'CSV';";
$trans["reportCriteriaOutputPDF"]  = "\$text = 'PDF';";
$trans["reportCriteriaLT"]         = "\$text = '&lt;';";
$trans["reportCriteriaGT"]         = "\$text = '&gt;';";
$trans["reportCriteriaLE"]         = "\$text = '&lt oder =';";
$trans["reportCriteriaGE"]         = "\$text = '&gt oder =';";
$trans["reportCriteriaBT"]         = "\$text = 'between';";
$trans["reportCriteriaAnd"]        = "\$text = 'und';";
$trans["reportCriteriaRunReport"]  = "\$text = 'Bericht erzeugen';";
$trans["reportCriteriaSortCrit1"]  = "\$text = 'Reihenfolge 1:';";
$trans["reportCriteriaSortCrit2"]  = "\$text = 'Reihenfolge 2:';";
$trans["reportCriteriaSortCrit3"]  = "\$text = 'Reihenfolge 3:';";
$trans["reportCriteriaAscending"]  = "\$text = 'aufsteigend';";
$trans["reportCriteriaDescending"] = "\$text = 'absteigend';";
$trans["reportCriteriaStartOnLabel"] = "\$text = 'Beginne mit Etikett:';";

#****************************************************************************
#*  Translation text for page run_report.php
#****************************************************************************
$trans["runReportReturnLink1"]     = "\$text = 'Auswahlkriterium fr den Bericht';";
$trans["runReportReturnLink2"]     = "\$text = 'Bericht';";
$trans["runReportTotal"]           = "\$text = 'Gesamtzeilen:';";

#****************************************************************************
#*  Translation text for page display_labels.php
#****************************************************************************
$trans["displayLabelsStartOnLblErr"] = "\$text = 'Das Feld mu numerisch sein.';";
$trans["displayLabelsXmlErr"]      = "\$text = 'Ein Fehler ist aufgetreten beim Lesen der Reportsdefinitionsdatei. Fehler = ';";
$trans["displayLabelsCannotRead"]  = "\$text = 'Kann die Labeldatei %fileName% nicht lesen';";

#****************************************************************************
#*  Translation text for page noauth.php
#****************************************************************************
$trans["noauthMsg"]                = "\$text = 'Sie drfen diesen Bereich nicht benutzen.';";

#****************************************************************************
#*  Report Titles
#****************************************************************************
$trans["reportHolds"]              = "\$text = 'Vorbestellungen mit entsprechenden Kontaktdaten zu den Benutzern';";
$trans["reportCheckouts"]          = "\$text = 'Liste der ausgeliehenen Medien';";
$trans["reportLabels"]             = "\$text = 'Etikettendruckanfrage (von den Etiketten genutzt)';";
$trans["popularItems"]             = "\$text = 'Beliebteste Exemplare';";
$trans["PopularBibliographies"]    = "\$text = 'Beliebteste Medien';";
$trans["PopularAuthors"]           = "\$text = 'Beliebteste Autoren';";
$trans["PopularCollections"]       = "\$text = 'Beliebteste Genres';";
$trans["overdueList"]              = "\$text = 'Benutzer mit berflligen Medien';";
$trans["balanceDueList"]           = "\$text = 'Benutzer mit offenen Betrgen';";
$trans["overdueLetters"]           = "\$text = 'Benutzer mit berflligen Medien - Briefliste';";
$trans["BibliosByMaterialType"]    = "\$text = 'Medien nach Medienarten';";
$trans["DuplicateTitle"]           = "\$text = 'Doppelte Titel - Autor Kombinationen';";
$trans["DuplicateMemberNames"]     = "\$text = 'Doppelte Benutzernamen';";
$trans["InventoryReport"]          = "\$text = 'Bestandsreport';";
$trans["NewEntries"]               = "\$text = 'Neue Eintrge in diesem Monat und den letzten 2 Monaten';";
$trans["PotentialLateFees"]        = "\$text = 'Derzeitige Sumnisgebhren';";
$trans["CheckoutHistory"]          = "\$text = 'Ausleih-History';";
$trans["reportMembers"]            = "\$text = 'Bericht ber Benutzer';";

#****************************************************************************
#*  Label Titles
#****************************************************************************
$trans["labelsMulti"]              = "\$text = 'Komplexere Etiketten';";
$trans["labelsSimple"]             = "\$text = 'Einfache Etiketten';";
$trans["biblio.bibid"]             = "\$text = 'MedienID';";

#****************************************************************************
#*  Column Text
#****************************************************************************
$trans["biblio.create_dt"]         = "\$text = 'Erstellungsdatum';";
$trans["biblio.last_change_dt"]    = "\$text = 'Letzte nderung';";
$trans["biblio.material_cd"]       = "\$text = 'Medienart Nummer';";
$trans["biblio.collection_cd"]     = "\$text = 'Genre Nummer';";
$trans["biblio.call_nmbr1"]        = "\$text = 'Standort 1';";
$trans["biblio.call_nmbr2"]        = "\$text = 'Standort 2';";
$trans["biblio.call_nmbr3"]        = "\$text = 'Standort 3';";
$trans["biblio.title_remainder"]   = "\$text = 'Untertitel';";
$trans["biblio.responsibility_stmt"] = "\$text = 'Verfasserangabe';";
$trans["biblio.opac_flg"]          = "\$text = 'OPAC Flag';";

$trans["biblio_copy.barcode_nmbr"] = "\$text = 'Mediennummer';";
$trans["biblio.title"]             = "\$text = 'Titel';";
$trans["biblio.author"]            = "\$text = 'Autor';";
$trans["biblio_copy.status_begin_dt"]   = "\$text = 'Ausleihdatum';";
$trans["biblio_copy.due_back_dt"]       = "\$text = 'Rckgabedatum';";
$trans["member.mbrid"]             = "\$text = 'Benutzernummer';";
$trans["member.barcode_nmbr"]      = "\$text = 'Benutzernummer';";
$trans["member.last_name"]         = "\$text = 'Nachname';";
$trans["member.first_name"]        = "\$text = 'Vorname';";
$trans["member.address1"]          = "\$text = 'Adresszeile1';";
$trans["member.address2"]          = "\$text = 'Adresszeile2';";
$trans["member.city"]              = "\$text = 'Stadt';";
$trans["member.state"]             = "\$text = 'Bundesland';";
$trans["member.zip"]               = "\$text = 'PLZ';";
$trans["member.zip_ext"]           = "\$text = 'PLZ-Erw.';";
$trans["biblio_hold.hold_begin_dt"] = "\$text = 'Vorbestellungsdatum';";
$trans["member.home_phone"]        = "\$text = 'Telefon(heim)';";
$trans["member.work_phone"]        = "\$text = 'Telefon(Arbeit)';";
$trans["member.email"]             = "\$text = 'E-Mail';";
$trans["member.school_grade"]      = "\$text = 'Klasse';";
$trans["biblio_status_dm.description"] = "\$text = 'Status';";
$trans["settings.library_name"]    = "\$text = 'Bibliotheksname';";
$trans["settings.library_hours"]   = "\$text = 'ffnungszeiten';";
$trans["settings.library_phone"]   = "\$text = 'Bibliothekstelefon';";
$trans["days_late"]                = "\$text = 'berfllige Tage';";
$trans["title"]                    = "\$text = 'Titel';";
$trans["author"]                   = "\$text = 'Autor';";
$trans["due_back_dt"]              = "\$text = 'Rckgabe';";
$trans["checkoutCount"]            = "\$text = 'Anzahl der Ausleihen';";
$trans["date"]                     = "\$text = 'Datum';";
$trans["material_type_dm.description"] = "\$text = 'Medienart';";
$trans["collection_dm.description"] = "\$text = 'Genre';";
$trans["biblio_copy.status_cd"]    = "\$text = 'Status';";
$trans["Duplicates"]               = "\$text = 'Duplikate';";
$trans["late_fee"]                 = "\$text = 'Sumnisgebhr';";
$trans["biblio_status_hist.status_begin_dt"] = "\$text = 'Ausleihdatum';";
$trans["biblio_status_hist.due_back_dt"] = "\$text = 'Rckgabe';";
$trans["member.classification"]    = "\$text = 'Klassifikation';";
$trans["member.school_teacher"]    = "\$text = 'Klassenlehrer';";

?>
